org.restlet.data

## Class Warning

- java.lang.Object
- - org.restlet.data.Warning

    public class Warning
    extends java.lang.Object

Additional information about the status or transformation of a request or response. This is typically used to warn about a possible issues with caching operations or transformations applied to the entity body.
Note that when used with HTTP connectors, this class maps to the "Warning" header.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`Warning()` Constructor.

### Method Summary

Methods
`java.lang.String` `getAgent()` Returns the agent.
`java.util.Date` `getDate()` Returns the warning date.
`Status` `getStatus()` Returns the special status.
`java.lang.String` `getText()` Returns the warning text.
`void` `setAgent(java.lang.String agent)` Sets the agent.
`void` `setDate(java.util.Date date)` Sets the warning date.
`void` `setStatus(Status status)` Sets the special status.
`void` `setText(java.lang.String text)` Sets the warning text.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Warning

    public Warning()

Constructor.

### Method Detail

#### getAgent

    public java.lang.String getAgent()

Returns the agent. Typically a caching agent.

Returns:
  The agent. Typically a caching agent.

#### getDate

    public java.util.Date getDate()

Returns the warning date.

Returns:
  The warning date.

#### getStatus

    public Status getStatus()

Returns the special status.

Returns:
  The special status.

#### getText

    public java.lang.String getText()

Returns the warning text.

Returns:
  The warning text.

#### setAgent

    public void setAgent(java.lang.String agent)

Sets the agent. Typically a caching agent.

Parameters:
  `agent` - The agent. Typically a caching agent.

#### setDate

    public void setDate(java.util.Date date)

Sets the warning date.

Parameters:
  `date` - The warning date.

#### setStatus

    public void setStatus(Status status)

Sets the special status.

Parameters:
  `status` - The special status.

#### setText

    public void setText(java.lang.String text)

Sets the warning text.

Parameters:
  `text` - The warning text.